#!/bin/sh

HOOK_DIR="/var/packages/ActiveBackup-Office365/target/bin/hook"
PKG_INFO="${HOOK_DIR}/pkg-info"
NET_HOOK="${HOOK_DIR}/net-hook"

case $1 in
	# print package info
	--name|--pkg-ver|--vendor)
		${PKG_INFO} $1
	;;

	# print SDK module version
	--sdk-mod-ver)
		${NET_HOOK} --sdk-mod-ver
	;;

	# execute pre hook
	--pre)
		${NET_HOOK} --pre-dns-change
	;;

	# execute post hook
	--post)
		${NET_HOOK} --post-dns-change
	;;


	*)
	;;
esac
